WodBoard Developer Docs
  1. Passes
  • Introduction
  • Products
    • Passes
      • List all passes
        GET
      • Retrieve a pass
        GET
  • Tset webhook
  • Schemas
    • Pass
    • Location
    • Service
  1. Passes

List all passes

GET
/api/v1_1/organisations/{organisation_id}/passes

Request

Authorization
OAuth 2.0
Authorization Code
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Authorize URL: https://www.wodboard.com/oauth/authorize
Token URL: https://www.wodboard.com/oauth/token
Scopes:
write-Can write
read-Can read
or
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://www.wodboard.com/api/v1_1/organisations//passes' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>'
Response Response Example
[
    {
        "id": 8620,
        "name": "10 class pack",
        "pass_type": "group_class",
        "introductory_offer": false,
        "hidden": false,
        "restricted": false,
        "created_at": "2026-08-18T08:44:45.000Z",
        "purchase_limit": 3,
        "session_count": 10,
        "valid_for_count": 90,
        "valid_for_unit": "day",
        "currency": "GBP",
        "price": "100.00",
        "location_id": null,
        "service_id": null,
        "follow_on_product_id": null,
        "follow_on_product_type": null
    },
    {
        "id": 8621,
        "name": "3 PT pack",
        "pass_type": "service",
        "introductory_offer": false,
        "hidden": false,
        "restricted": false,
        "created_at": "2026-08-18T08:45:34.000Z",
        "purchase_limit": null,
        "session_count": 3,
        "valid_for_count": 180,
        "valid_for_unit": "day",
        "currency": "GBP",
        "price": "250.00",
        "location_id": null,
        "service_id": 2218,
        "follow_on_product_id": null,
        "follow_on_product_type": null
    },
    {
        "id": 8622,
        "name": "Free class (then follows into 10 class pack)",
        "pass_type": "group_class",
        "introductory_offer": false,
        "hidden": false,
        "restricted": false,
        "created_at": "2026-08-18T08:45:53.000Z",
        "purchase_limit": null,
        "session_count": 1,
        "valid_for_count": null,
        "valid_for_unit": null,
        "currency": "GBP",
        "price": "0.00",
        "location_id": null,
        "service_id": null,
        "follow_on_product_id": 8620,
        "follow_on_product_type": "Pass"
    }
]
Modified at 2026-08-18 10:27:46
Previous
Introduction
Next
Retrieve a pass
Built with